GroovyPagesTemplateRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPagesTemplateRenderer

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesTemplateRenderer

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean

    public class GroovyPagesTemplateRenderer
    extends java.lang.Object

Service that provides the actual implementation to RenderTagLib's render tag. This is an internal Grails service and should not be used by plugins directly. The implementation was moved from RenderTagLib, ported to Java and then refactored.

Authors:
  Lari Hotari
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `afterPropertiesSet()`
`void` | `clearCache()`
`void` | `render(GrailsWebRequest webRequest, GroovyPageBinding pageScope, java.util.Map attrs, java.lang.Object body, java.io.Writer out)`
`void` | `setControllerToScaffoldedDomainClassMap(java.util.Map map)`
`void` | `setGroovyPageLocator(GrailsConventionGroovyPageLocator locator)`
`void` | `setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine engine)`
`void` | `setScaffoldedActionMap(java.util.Map map)`
`void` | `setScaffoldingTemplateGenerator(java.lang.Object generator)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### clearCache

    public void clearCache()

### render

    public void render(GrailsWebRequest webRequest, GroovyPageBinding pageScope, java.util.Map attrs, java.lang.Object body, java.io.Writer out)

### setControllerToScaffoldedDomainClassMap

    @java.lang.SuppressWarnings}
    public void setControllerToScaffoldedDomainClassMap(java.util.Map map)

### setGroovyPageLocator

    public void setGroovyPageLocator(GrailsConventionGroovyPageLocator locator)

### setGroovyPagesTemplateEngine

    public void setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine engine)

### setScaffoldedActionMap

    @java.lang.SuppressWarnings
    public void setScaffoldedActionMap(java.util.Map map)

### setScaffoldingTemplateGenerator

    public void setScaffoldingTemplateGenerator(java.lang.Object generator)

Groovy Documentation